package com.yanzhu.jh.project.domain.vo;

import javax.validation.constraints.*;

public class LabourGroupVO {

    private static final long serialVersionUID = 1L;

    /** 工人id */
    @NotBlank(message = "班组主键ID不能为空")
    @Size(max = 64, message = "班组主键最大64位")
    private String serverid;

    /** 分包商id */
    @NotBlank(message = "分包商ID不能为空")
    private String companyId;

    /** 分包商名称 */
    @NotBlank(message = "分包商名称不能为空")
    @Size(max = 64, message = "分包商名称最大64位")
    private String companyName;

    /** 分包商类型不能为空 */
    @NotBlank(message = "分包商类型不能为空")
    @Pattern(regexp = "1|2|3|4|5|6|7|8", message = "分包商类型错误，1总包|2劳务分包|8监理")
    private String companyTypeId;

    /** 班组名称 */
    @NotBlank(message = "班组名称不能为空")
    @Size(max = 64, message = "班组名称最大64位")
    private String name;

    /** 数据是否有效 */
    @NotNull(message = "数据是否有效不能为空")
    @Max(value = 1, message = "数据是否有效格式异常，0有效|1无效")
    private Long isDel;

    public String getServerid() {
        return serverid;
    }

    public void setServerid(String serverid) {
        this.serverid = serverid;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyTypeId() {
        return companyTypeId;
    }

    public void setCompanyTypeId(String companyTypeId) {
        this.companyTypeId = companyTypeId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getIsDel() {
        return isDel;
    }

    public void setIsDel(Long isDel) {
        this.isDel = isDel;
    }
}
